AnyEvent::XMPP::Ext::Disco::Info(3)

NAME
AnyEvent::XMPP::Ext::Disco::Info - Service discovery info

SYNOPSIS

DESCRIPTION
This class represents the result of a disco info request sent by a "AnyEvent::XMPP::Ext::Disco" handler.

METHODS

xml_node ()
    Returns the AnyEvent::XMPP::Node object of the IQ query.

jid ()
    Returns the JID these items belong to.

node ()
    Returns the node these items belong to (may be undef).

identities ()
    Returns a list of hashrefs which contain following keys:

       category, type, name, xml_node

    "category" is the category of the identity. "type" is the type of the identity. "name" is the human readable name of the identity and might be undef. "xml_node" is the AnyEvent::XMPP::Node object of the <identity/> node.

    "category" and "type" may be one of those defined on:

       http://www.xmpp.org/registrar/disco-categories.html

features ()
    Returns a hashref of key/value pairs where the key is the feature name as listed on:

       http://www.xmpp.org/registrar/disco-features.html

    and the value is a AnyEvent::XMPP::Node object for the <feature/> node.

debug_dump ()
    Prints the information of this Info object to stdout.

AUTHOR
Robin Redeker, "<elmex at ta-sa.org>", JID: "<elmex at jabber.org>"

COPYRIGHT & LICENSE
Copyright 2007, 2008 Robin Redeker, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.